[next] [tail] [up]

#### 6.1 Method init

call p%init(icontx,ptype,info)

This method allocates and initializes the preconditioner p, according to the preconditioner type chosen by the user.

Arguments

icontxt | integer, intent(in).
| The communication context.
ptype | character(len=*), intent(in).
| The type of preconditioner. Its values are specified in Table 1.
| Note that the strings are case insensitive.
info | integer, intent(out).
| Error code. If no error, 0 is returned. See Section 8 for details.

For compatibility with the previous versions of MLD2P4, this method can be also invoked as follows:

call mld_precinit(p,ptype,info)

[next] [front] [up]